Skip to main content
POST
Send Message

Authorizations

Authorization
string
header
required

Basic authentication using base64 encoded API key and secret. Format: Authorization: Basic <base64(api_key:api_secret)>

Path Parameters

cuuid
string
required

Body

application/json

Message details

sender_type
enum<string>
required

Specifies whether the message is sent by an agent or a contact.

Available options:
agent,
contact
message
string

Message content

attachments
integer[]

Attachment IDs

private
boolean

Whether message is private (internal note)

to
string[]

Email recipients

cc
string[]

CC recipients

bcc
string[]

BCC recipients

mentions
object[]

Agents or teams mentioned in a private note.

echo_id
string

Client-generated identifier echoed back to deduplicate the message on the sender's side

Response

Message sent successfully

status
string
Example:

"success"

data
object